


"read.phasing" <- function(readstring,pops=c("CEU","HCB"),path="/data/hapmap/phasing/encode/")
{
  legendfilename <- paste(path,"genotypes_",readstring,"_",pops,"_legend.txt.gz",sep="")
  names(legendfilename) <- pops;
  positions <- lapply(legendfilename,function(x) read.table(gzfile(x),header=T));
  length <- unlist(lapply(positions,nrow))
  pos <- lapply(positions,function(x) x[,1])
  SNP <- lapply(positions,function(x)
                paste(levels(x[,2])[x[,2]],"/",levels(x[,3])[x[,3]],sep=""))
  print(SNP[[1]][1:10])
  print(pos[[1]][1:10])

  datafilename <- paste(path,"genotypes_",readstring,"_",pops,"_.phased.gz",sep="")
  names(datafilename) <- pops;
  d <- lapply(datafilename,function(x) scan(gzfile(x)))
  for (i in 1:length(d)) 
    d[[i]] <- matrix(d[[i]],ncol=length[i],byrow=T)

  res <- list(d=d,positions=pos,n=length,SNP=SNP)
  class(res) <- c("hapmap.haplotypes","haplotypes")
  res;
}


read.encode.phasing <- function(which,pops=c("CEU","HCB"),path="/data/hapmap/phasing/encode/")
{
  encoderegions <- c("m010.7p15.2",
                  "m013.7q21.13",
                  "m014.7q31.33",
                  "r112.2p16.3",
                  "r113.4q26",
                  "r123.12q12",
                  "r131.2q37.1",
                  "r213.18q12.1",
                  "r232.9q34.11",
                  "r321.8q24.11"
                  )
  read.phasing(paste("EN",encoderegions[which],sep=""),pops,path);  
}

read.encode <- function(which,pops=c("CEU","HCB"),path="/data/hapmap/phasing/encode/")
  {
    extract.hapmap.haplotypes(read.encode.phasing(which,pops,path),start=0,finish=1000000)
  }




