##
"plot.GenomicHaplotypes" <- function(a,extralabel,extramat,mar=c(1,1,1,1))
  {
    a$d <- apply(a$d,2,function(x) {if (mean(x)>0.5) return (1-x) else return(x)})
    opar <- par(mar=mar)
    x <- 1-a$d;
    if (is.null(a$location)) {
      npops <- 1
      backcols <- "white"
      breaks <- c(-0.5,0.5,1.5)
      x2 <- x
    } else {
      npops <- length(table(a$location));
      pop <- unclass(a$location);
      x2 <- x+pop[row(x)]-1
      backcols <- c("wheat1","white","lavenderblush","lightcyan")[1:npops];
      breaks <- c(-0.5,0.5,0.5+seq(1,npops,1))
    }
    if (!missing(extralabel)&!missing(extramat))
      stop("can only have extra labels or extra lengths");
    if (!missing(extralabel)) {
      backcols <- c(backcols,"lightblue");
      breaks <- c(breaks,15)
      x2[extralabel==1,] <- 10+x2[extralabel==1,]
    }
    if (!missing(extramat)) {
      backcols <- c(backcols,"lightblue");
      breaks <- c(breaks,15)   
      x2[extramat] <- 10+x2[extramat]
    }
    x2[x==0] <- x[x==0]    
 
    image(t(x2),col=c("black",backcols),breaks=breaks,axes=F,xlab="",ylab="")

    par(opar)
  }
