## read simulation output from sima program
"readsima" <- function(filename,pops=TRUE,SNP=TRUE,skip=1)
  {
    con <-  file(filename, "r", blocking = FALSE);
    d <- readTNT2D(con,skip=skip)
    positions=readTNT(con);
    if (pops) {
      locations <- readTNT(con);
    }
    if (SNP) {
      SNP <- readTNT(con,what=character(0))
    } else SNP=NULL
    close(con)
    if (pops) {     
      a <- list(d=d,positions=positions,locations=factor(locations),SNP=SNP)
      class(a) <- c("simapop","sima","GenomicHaplotype")
    }
    else {  
      a <- list(d=d,positions=positions,SNP=SNP);
      class(a) <- c("sima","GenomicHaplotype")
    }
    return(a);
  }
##
"subset.sima" <- function(a,columns,rows)
  {
    if (missing(rows))
      rows <- 1:nrow(a$d)
    if (missing(columns))
      columns <- 1:ncol(a$d)
    if (class(a)[1]=="simapop")
      b <- list(d=a$d[rows,columns],positions=a$positions[columns],SNP=a$SNP[columns],locations=a$locations[rows])
    else
      b <- list(d=a$d[rows,columns],positions=a$positions[columns],SNP=a$SNP[columns])
    class(b) <- class(a);
    b;
  }
##
"summary.GenomicHaplotype" <- function(sa)
  {
    d <- apply(sa$d,1,paste,sep="",collapse="")
    tb <- table(factor(d),sa$location)
    tb;
  }

## write output in the style of sima output
writesima <- function(dat,filename="outsima")
  {
    con <- file(filename,"w")
    cat("//output from writesima\n",file=con)
    writeTNT(dat$d,con)
    writeTNT(dat$positions,con)
    writeTNT(dat$locations,con)
  }
