\name{haploview}
\alias{haploview}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Call the haploview program on data}
\description{
  Calls the haploview java program.
}
\usage{
haploview(a,externalprog="haploview")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{a}{ A list of type \code{mutatedARG} or any other
    list that contains values \code{ss}, \code{var}, a vector of positions
    \code{pos} and matrix of genetic value  \code{d}}
  \item{externalprog} {The name (and optionally path) to a shell script
    that runs the haploview program.
    }
}
\value{
  0 if successful.
}
\references{ http://www.broad.mit.edu/mpg/haploview/index.php }
\author{ Ian J. Wilson <I.J.Wilson@ncl.ac.uk> }
\note{
  You need a working version of haploview that is in the path
  (or alternatively provide the full path in externalprog).

  The haploview file should look something like:

  \code{
    #!/bin/sh
  }
  
  \code{/usr/local/j2sdk1.4.2_07/bin/java -jar /data/programs/haploview/Haploview.jar $@
}
  }
}
\examples{
data(sim1)
haploview(sim1)

library(ARG)
g <- mutate(simARG(100,1000,0.01),100,"panel(2)")
haploview(g)
}
\keyword{ iplot }% at least one, from doc/KEYWORDS
\keyword{ connection}% __ONLY ONE__ keyword per line
