\name{read.haphap.phasing}
\alias{read.haphap.phasing}
\title{Read raw hapmap phasing data}
\description{
  Function to read HAPMAP phasing data
}
\usage{
read.hapmap.phasing(chromosome,pops=c("CEU","HCB"),path="/data/hapmap/phasing/full/",collapse=FALSE)
}
\arguments{
  \item{chromosome}{The chromosome to be read}
  \item{pops}{The populations to be read - out of YRI, CEU and HCB}
  \item{path}{The path to the data files}
  \item{collapse}{Collapse to a single dataset?}
}
\value{
  \item{d}{A list of matrices of haplotypes}
  \item{positions}{A list of vectors of positions of the SNPs}
  \item{n}{The number of populations}
}
\seealso{
  extract.hapmap.haplotypes
}
\author{Ian J. Wilson}
\keyword{IO}